Loading...
Searching...
No Matches
Halide::Runtime::DeviceRefCount Struct Reference

A similar struct for managing device allocations. More...

`#include <HalideBuffer.h>`

## Public Attributes

std::atomic< int > | count {1}
BufferDeviceOwnership | ownership {BufferDeviceOwnership::Allocated}

## Detailed Description

A similar struct for managing device allocations.

Definition at line 188 of file HalideBuffer.h.

## Member Data Documentation

## count

std::atomic<int> Halide::Runtime::DeviceRefCount::count {1}

Definition at line 191 of file HalideBuffer.h.

## ownership

BufferDeviceOwnership Halide::Runtime::DeviceRefCount::ownership {BufferDeviceOwnership::Allocated}

Definition at line 192 of file HalideBuffer.h.

Referenced by Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::device_wrap_native().

The documentation for this struct was generated from the following file:

- src/runtime/HalideBuffer.h